Компрометация системы в WordPress Relocate Upload

Дата публикации:
14.02.2012
Дата изменения:
14.02.2012
Всего просмотров:
708
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Relocate Upload Plugin 0.x
Уязвимые версии: Relocate Upload plugin for WordPress 0.14, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "abspath" в сценарии wp-content/plugins/relocate_upload/relocate-upload.php (когда параметр "ru_folder" установлен). Удаленный пользователь может с помощью специально сформированного запроса подключить и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web севера.

URL производителя: http://wordpress.org/extend/plugins/relocate-upload/

Решение: Установите последнюю версию 0.20 с сайта производителя.

или введите имя

CAPTCHA